%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pyver: %define pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

Name: python-irclib
Version: 0.4.6
Release: 8%{?dist}
Summary: A set of Python modules for IRC support

Group: Development/Libraries
License: LGPLv2+
URL: http://python-irclib.sourceforge.net
Source0: http://dl.sf.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: python python-devel
BuildArch: noarch

%description
This library is intended to encapsulate the IRC protocol at a quite
low level.  It provides an event-driven IRC client framework.  It has
a fairly thorough support for the basic IRC protocol, CTCP and DCC
connections.

%prep
%setup -q
%{__sed} -i 's/\r//g' *

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README ChangeLog COPYING irccat irccat2 servermap testbot.py dccsend dccreceive
%{python_sitelib}/*.py*
%{python_sitelib}/python_irclib-%{version}-py%{pyver}.egg-info/

%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.4.6-7
- Rebuild for Python 2.6

* Wed Sep  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.4.6-6
- fix license tag

* Fri Feb  8 2008 Luke Macken <lmacken@redhat.com> 0.4.6-5
- Include our new egg-info

* Fri Feb  8 2008 Luke Macken <lmacken@redhat.com> 0.4.6-4
- Rebuild for gcc 4.3

* Sat Dec  9 2006 Luke Macken <lmacken@redhat.com> 0.4.6-3
- Rebuild for python 2.5

* Sun Sep  3 2006 Luke Macken <lmacken@redhat.com> 0.4.6-2
- Rebuild for FC6

* Tue Aug  8 2006 Luke Macken <lmacken@redhat.com> 0.4.6-1
- 0.4.6 (Bug #201753)

* Mon Feb 13 2006 Luke Macken <lmacken@redhat.com> 0.4.5-2
- Rebuild

* Wed Jun 22 2005 Luke Macken <lmacken@redhat.com> 0.4.5-1
- Packaged for Fedora Extras
